Subject: [bug#41772] gnu: bison: Update to 3.6.3.

From: [email-masked]
Date: Mon, 15 Jun 2020 16:03:06 +0900

Oops! It's a trivial patch, but here you go.

From a056559d42f68e4d4b17d1579d2a7a3d57c37bdc Mon Sep 17 00:00:00 2001
From: "B. Wilson" <[email-masked]>
Date: Tue, 9 Jun 2020 11:10:40 +0900
Subject: [PATCH] gnu: bison: Update to 3.6.3.
To: [email-masked]

* gnu/packages/bison.scm (bison): Update to 3.6.3.
---
 gnu/packages/bison.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/bison.scm b/gnu/packages/bison.scm
index ae8d1a141b..b622ca1973 100644
--- a/gnu/packages/bison.scm
+++ b/gnu/packages/bison.scm
@@ -31,7 +31,7 @@
 (define-public bison
   (package
     (name "bison")
-    (version "3.5.3")
+    (version "3.6.3")
     (source
      (origin
       (method url-fetch)
@@ -39,7 +39,7 @@
                           version ".tar.xz"))
       (sha256
        (base32
-        "1i57hbczvr8674z73775jxdd3y59qggs5lmfd60gmwm5i1gmpy1b"))))
+        "0gdpnjh6ra9xa9vj6hzjdf0c04x4pjyy8vssm3qdb7fya4v7knq6"))))
     (build-system gnu-build-system)
     (arguments
      '(;; Building in parallel on many-core systems may cause an error such as
-- 
2.27.0

Mathieu Othacehe <[email-masked]> wrote:
> 
> Hello!
> 
> > This is a version bump to bison for `core-updates'. As far as I can tell it
> > builds just fine, but as I am new to guix please sanity check me here.
> 
> I think you did forget the attached patch :)
> 
> Thanks,
> 
> Mathieu